package com.njcn.mapper.log;

import com.njcn.pojo.log.UserLogDetail;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.Date;
import java.util.List;

public interface UserLogDetailMapper extends Mapper<UserLogDetail> {
    List<UserLogDetail> getUserLog();

    List<UserLogDetail> getWarnInfo();

    Float getMemoInfo();

    public void delExpireLog(@Param("endTime") Date endTime);//删除过期日志

    List<UserLogDetail> getDangerInfo();

    List<UserLogDetail> getUserLogId(@Param("username") String username, @Param("type") String type, @Param("name") String name, @Param("startTime") Date startTime, @Param("endTime") Date endTime);

    //统计事件类型
    List<UserLogDetail> geteventtype(@Param("startTime") Date startTime, @Param("endTime") Date endTime);

    //统计详细事件
    List<UserLogDetail> getdetailtype(@Param("startTime") Date startTime, @Param("endTime") Date endTime);

    //统计用户
    List<UserLogDetail> getUserStatistics(@Param("startTime") Date startTime, @Param("endTime") Date endTime);

    //统计月份
    Integer getdetailmonth(@Param("month") String month);

    void changeState(@Param("list") List<String> indexs);

    List<UserLogDetail> getSjtj(@Param("username") String username, @Param("type") String type, @Param("name") String name, @Param("startTime") Date startTime, @Param("endTime") Date endTime);

}
